/*
 * STM32L152 
 *      Flash:           0x08000000 - 0x0801FFFF (128 KB)
 *      Bootloader:      0x08000000 - 0x08003FFF (16 KB)
 *      Application:     0x08004000 - 0x0801FFFF (112 KB)
 */

#include <stdio.h>
#include <stdint.h>
#include <intrinsics.h>
#include "stm32l1xx.h"      // CMSIS Cortex-M3 Device 
#include <core_cm3.h>       // CMSIS Cortex-M3 Core

static volatile uint32_t app_systicks;

// ------------------------------------------------------
int main(void)
{
    printf("Hello from application!\n");

    SysTick_Config(10);
    
    __enable_interrupt();
    
    while (1) {};
}

// ------------------------------------------------------
void SysTick_Handler(void)
{
    app_systicks++;
}
